For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • GETReturns all files of the project with the specified id.
      • POSTEndpoint to batch create external files without uploading.
      • GETReturns all files of the project with the specified id.
      • POSTCreates a new project file for the project with the specified id..
      • DELDeletes the files of the specified project.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the project with the specified id.
      • PUTUpdates the metadata of the project file with the specified id.
      • DELDeletes the project file with the specified id.
      • POSTChanges the project this file belongs to.
      • POSTCopies the file to a new project.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified project file.
      • POSTUploads a new version of the project file with the specified id.
      • GETReturns the project file version with the specified id.
      • GETReturns the content of the project file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Files

Deletes the project file with the specified id.

DELETE
https://api.awork.com/api/v1/projects/:projectId/files/:fileId
DELETE
/api/v1/projects/:projectId/files/:fileId
$curl -X DELETE https://api.awork.com/api/v1/projects/projectId/files/fileId \
> -H "Authorization: Bearer <token>"
Deletes the metadata and the different versions of the file. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Changes the project this file belongs to.

Next
Built with

Deletes the metadata and the different versions of the file.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
fileIdstringRequiredformat: "uuid"
The id of the file.

Response

No Content